View Issue Details

IDProjectCategoryView StatusLast Update
0006526MediaMonkey (current)Otherpublic2010-11-02 01:47
Reporterlowlander 
PriorityimmediateSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.2.2 
Target Version3.2.3Fixed in Version4.0 
Summary0006526: Splash screen hides confirmation dialogs
DescriptionIn some situations confirmation dialogs will occur during loading of MediaMonkey and be hidden behind the splash screen. This won't allow the user to access confirmation and thus be able to start MediaMonkey. The only way around is to disable the splash screen with /nosplash Scripts tend to be the cause of the confirmation dialogs.
Additional Informationhttp://mediamonkey.com/forum/viewtopic.php?f=1&t=53002
http://www.mediamonkey.com/support/staff/index.php?_m=tickets&_a=viewticket&ticketid=9942
OLF-586927
MWB-133430
TagsNo tags attached.
Fixed in build1320

Activities

peke

2010-10-09 00:04

developer   ~0020685

Is INI loaded before splash screen and if yes I wonder if we can add INI switch or maybe Integration always start with /nosplash?

jiri

2010-10-18 22:02

administrator   ~0020845

Maybe the safest way would be to hide the splash-screen as soon as any other dialog needs to be shown? I.e. to globally monitor any form creation and upon this event make sure the splash-screen is hidden.

peke

2010-10-18 23:49

developer   ~0020850

Or if possible use Move to Back on same events, depends which one is easier to implement as both solve the problem.

petr

2010-10-19 09:07

developer   ~0020854

Fixed in 1318

stephen_platt

2010-10-25 13:50

developer   ~0020961

verified 1318

stephen_platt

2010-11-01 04:18

developer   ~0021084

Reopening, after installing MonkeyTunes ( http://melloware.com/products/monkeytunes/ [^] ) I could still reproduce the problem in build 1319. If you open MM, then bring another window to the front (ie Win explorer or notepad), the confirmation dialog gets stuck behind the splash screen.

Note: MonkeyTunes shows a confirmation dialog at the start of MM after the 20 day trial period expires.

petr

2010-11-01 16:17

developer   ~0021108

Fixed in 1320. Splash will hide before plugins/scripts initialization.

stephen_platt

2010-11-02 01:47

developer   ~0021119

verified 1320